Bug 127761 - Port options added for scheme implementations: audio/snd
Summary: Port options added for scheme implementations: audio/snd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-01 05:20 UTC by Timothy Beyer
Modified: 2008-10-12 11:00 UTC (History)
1 user (show)

See Also:


Attachments
Makefile.diff (2.02 KB, patch)
2008-10-01 05:20 UTC, Timothy Beyer
no flags Details | Diff
pkg-descr.diff (542 bytes, patch)
2008-10-01 05:20 UTC, Timothy Beyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2008-10-01 05:20:02 UTC
    This patch makes the following changes:

Adds OPTIONS for the following scheme implementations:
-Gauche
-S7 (which according to the documentation, is now the default instead of Guile)     

-Modifies pkg-plist to install DATADIR files if it is Gauche, S7, or Guile, since these are compatable with the scm files.  Hence the keyword is now "SCHEME" rather than "GUILE", because it is shared by these 3 OPTIONS. (notice that PLIST_SUB+=	SCHEME="@comment " is only used for Ruby, since this is the only non-Scheme language supported).  If forth support is added to the port, then a similar convention would be used for that option. (note that fth would need to be ported to FreeBSD to add forth support to snd)

-Removed licensing comment from pkg-descr, because SND has been distributed under a BSD-style (not LGPL, which pkg-descr states) license for some time, as COPYING indicates; it is likely that the old web page may not have been updated to reflect this change.

Fix: N/A 

--- pkg-plist.orig	2008-09-26 03:30:40.000000000 -0700
+++ pkg-plist	2008-09-30 16:45:33.000000000 -0700
@@ -346,140 +346,140 @@
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/DotEmacs
 %%X11%%%%PORTEXAMPLES%%%%EXAMPLESDIR%%/Snd.gtkrc
 %%NLS%%share/locale/de/LC_MESSAGES/snd.mo
-%%GUILE%%%%DATADIR%%/analog-filter.scm
-%%GUILE%%%%DATADIR%%/animals.scm
-%%GUILE%%%%DATADIR%%/autosave.scm
-%%GUILE%%%%DATADIR%%/bess.scm
-%%GUILE%%%%DATADIR%%/bess1.scm
-%%GUILE%%%%DATADIR%%/bird.scm
-%%GUILE%%%%DATADIR%%/clean.scm
-%%GUILE%%%%DATADIR%%/clm-ins.scm
-%%GUILE%%%%DATADIR%%/clm23.scm
-%%GUILE%%%%DATADIR%%/debug.scm
-%%GUILE%%%%DATADIR%%/dlocsig.scm
-%%GUILE%%%%DATADIR%%/draw.scm
-%%GUILE%%%%DATADIR%%/dsp.scm
-%%GUILE%%%%DATADIR%%/edit-menu.scm
-%%GUILE%%%%DATADIR%%/edit123.scm
-%%GUILE%%%%DATADIR%%/effects-utils.scm
-%%GUILE%%%%DATADIR%%/env.scm
-%%GUILE%%%%DATADIR%%/enved.scm
-%%GUILE%%%%DATADIR%%/eval-c.scm
-%%GUILE%%%%DATADIR%%/event.scm
-%%GUILE%%%%DATADIR%%/examp.scm
-%%GUILE%%%%DATADIR%%/export-all.scm
-%%GUILE%%%%DATADIR%%/extensions.scm
-%%GUILE%%%%DATADIR%%/fade.scm
-%%GUILE%%%%DATADIR%%/fft-menu.scm
-%%GUILE%%%%DATADIR%%/fix-optargs.scm
-%%GUILE%%%%DATADIR%%/fmv.scm
-%%GUILE%%%%DATADIR%%/frame.scm
-%%GUILE%%%%DATADIR%%/freeverb.scm
-%%GUILE%%%%DATADIR%%/gauche-format.scm
-%%GUILE%%%%DATADIR%%/gauche-optargs.scm
-%%GUILE%%%%DATADIR%%/generators.scm
-%%GUILE%%%%DATADIR%%/grani.scm
-%%GUILE%%%%DATADIR%%/gtk-effects-utils.scm
-%%GUILE%%%%DATADIR%%/gtk-effects.scm
-%%GUILE%%%%DATADIR%%/gtk-popup.scm
-%%GUILE%%%%DATADIR%%/gui.scm
-%%GUILE%%%%DATADIR%%/hooks.scm
-%%GUILE%%%%DATADIR%%/index.scm
-%%GUILE%%%%DATADIR%%/jcrev.scm
-%%GUILE%%%%DATADIR%%/kmenu.scm
-%%GUILE%%%%DATADIR%%/ladspa-help.scm
-%%GUILE%%%%DATADIR%%/ladspa.scm
-%%GUILE%%%%DATADIR%%/maraca.scm
-%%GUILE%%%%DATADIR%%/marks-menu.scm
-%%GUILE%%%%DATADIR%%/marks.scm
-%%GUILE%%%%DATADIR%%/maxf.scm
-%%GUILE%%%%DATADIR%%/misc.scm
-%%GUILE%%%%DATADIR%%/mix.scm
-%%GUILE%%%%DATADIR%%/mixer.scm
-%%GUILE%%%%DATADIR%%/moog.scm
-%%GUILE%%%%DATADIR%%/musglyphs.scm
-%%GUILE%%%%DATADIR%%/nb.scm
-%%GUILE%%%%DATADIR%%/new-backgrounds.scm
-%%GUILE%%%%DATADIR%%/new-buttons.scm
-%%GUILE%%%%DATADIR%%/new-effects.scm
-%%GUILE%%%%DATADIR%%/noise.scm
-%%GUILE%%%%DATADIR%%/numerics.scm
-%%GUILE%%%%DATADIR%%/oo.scm
-%%GUILE%%%%DATADIR%%/oscope.scm
-%%GUILE%%%%DATADIR%%/panic.scm
-%%GUILE%%%%DATADIR%%/pd-add.scm
-%%GUILE%%%%DATADIR%%/pd-any.scm
-%%GUILE%%%%DATADIR%%/pd-fm.scm
-%%GUILE%%%%DATADIR%%/pd-global.scm
-%%GUILE%%%%DATADIR%%/pd-inout.scm
-%%GUILE%%%%DATADIR%%/pd-local.scm
-%%GUILE%%%%DATADIR%%/pd-mozilla.scm
-%%GUILE%%%%DATADIR%%/pd-send_receive.scm
-%%GUILE%%%%DATADIR%%/pd-stochastic.scm
-%%GUILE%%%%DATADIR%%/peak-env.scm
-%%GUILE%%%%DATADIR%%/peak-phases.scm
-%%GUILE%%%%DATADIR%%/piano.scm
-%%GUILE%%%%DATADIR%%/play.scm
-%%GUILE%%%%DATADIR%%/poly.scm
-%%GUILE%%%%DATADIR%%/popup.scm
-%%GUILE%%%%DATADIR%%/prc95.scm
-%%GUILE%%%%DATADIR%%/pvoc.scm
-%%GUILE%%%%DATADIR%%/rgb.scm
-%%GUILE%%%%DATADIR%%/rt-clm-ins.scm
-%%GUILE%%%%DATADIR%%/rt-compiler.scm
-%%GUILE%%%%DATADIR%%/rt-coroutines.scm
-%%GUILE%%%%DATADIR%%/rt-engine.scm
-%%GUILE%%%%DATADIR%%/rt-examples.scm
-%%GUILE%%%%DATADIR%%/rt-faust.scm
-%%GUILE%%%%DATADIR%%/rt-player.scm
-%%GUILE%%%%DATADIR%%/rt-stalin.scm
-%%GUILE%%%%DATADIR%%/rtio.scm
-%%GUILE%%%%DATADIR%%/rubber.scm
-%%GUILE%%%%DATADIR%%/selection.scm
-%%GUILE%%%%DATADIR%%/singer.scm
-%%GUILE%%%%DATADIR%%/snd-gl.scm
-%%GUILE%%%%DATADIR%%/snd-gtk.scm
-%%GUILE%%%%DATADIR%%/snd-hobbit.scm
-%%GUILE%%%%DATADIR%%/snd-motif.scm
-%%GUILE%%%%DATADIR%%/snd-test.scm
-%%GUILE%%%%DATADIR%%/snd4.scm
-%%GUILE%%%%DATADIR%%/snd5.scm
-%%GUILE%%%%DATADIR%%/snd6.scm
-%%GUILE%%%%DATADIR%%/snd7.scm
-%%GUILE%%%%DATADIR%%/snd8.scm
-%%GUILE%%%%DATADIR%%/snd9.scm
-%%GUILE%%%%DATADIR%%/snd_conffile.scm
-%%GUILE%%%%DATADIR%%/snddiff.scm
-%%GUILE%%%%DATADIR%%/sndins/samples/agn.scm
-%%GUILE%%%%DATADIR%%/sndins/samples/fmviolin.scm
-%%GUILE%%%%DATADIR%%/sndins/samples/ws_s.scm
-%%GUILE%%%%DATADIR%%/sndwarp.scm
-%%GUILE%%%%DATADIR%%/special-menu.scm
-%%GUILE%%%%DATADIR%%/spectr.scm
-%%GUILE%%%%DATADIR%%/spokenword.scm
-%%GUILE%%%%DATADIR%%/stochastic.scm
-%%GUILE%%%%DATADIR%%/strad.scm
-%%GUILE%%%%DATADIR%%/toolbar.scm
-%%GUILE%%%%DATADIR%%/tools/check-gtk.scm
-%%GUILE%%%%DATADIR%%/tools/check-help.scm
-%%GUILE%%%%DATADIR%%/tools/clisp-number-tests.scm
-%%GUILE%%%%DATADIR%%/tools/clisp-other-tests.scm
-%%GUILE%%%%DATADIR%%/tools/gldata.scm
-%%GUILE%%%%DATADIR%%/tools/lines.scm
-%%GUILE%%%%DATADIR%%/tools/makegl.scm
-%%GUILE%%%%DATADIR%%/tools/makexg.scm
-%%GUILE%%%%DATADIR%%/tools/nor.scm
-%%GUILE%%%%DATADIR%%/tools/table.scm
-%%GUILE%%%%DATADIR%%/tools/va.scm
-%%GUILE%%%%DATADIR%%/tools/xgdata.scm
-%%GUILE%%%%DATADIR%%/v.scm
-%%GUILE%%%%DATADIR%%/ws.scm
-%%GUILE%%%%DATADIR%%/xm-enved.scm
-%%GUILE%%%%DATADIR%%/zip.scm
-%%GUILE%%@dirrm %%DATADIR%%/tools
-%%GUILE%%@dirrm %%DATADIR%%/sndins/samples
-%%GUILE%%@dirrm %%DATADIR%%/sndins
-%%GUILE%%@dirrm %%DATADIR%%
+%%SCHEME%%%%DATADIR%%/analog-filter.scm
+%%SCHEME%%%%DATADIR%%/animals.scm
+%%SCHEME%%%%DATADIR%%/autosave.scm
+%%SCHEME%%%%DATADIR%%/bess.scm
+%%SCHEME%%%%DATADIR%%/bess1.scm
+%%SCHEME%%%%DATADIR%%/bird.scm
+%%SCHEME%%%%DATADIR%%/clean.scm
+%%SCHEME%%%%DATADIR%%/clm-ins.scm
+%%SCHEME%%%%DATADIR%%/clm23.scm
+%%SCHEME%%%%DATADIR%%/debug.scm
+%%SCHEME%%%%DATADIR%%/dlocsig.scm
+%%SCHEME%%%%DATADIR%%/draw.scm
+%%SCHEME%%%%DATADIR%%/dsp.scm
+%%SCHEME%%%%DATADIR%%/edit-menu.scm
+%%SCHEME%%%%DATADIR%%/edit123.scm
+%%SCHEME%%%%DATADIR%%/effects-utils.scm
+%%SCHEME%%%%DATADIR%%/env.scm
+%%SCHEME%%%%DATADIR%%/enved.scm
+%%SCHEME%%%%DATADIR%%/eval-c.scm
+%%SCHEME%%%%DATADIR%%/event.scm
+%%SCHEME%%%%DATADIR%%/examp.scm
+%%SCHEME%%%%DATADIR%%/export-all.scm
+%%SCHEME%%%%DATADIR%%/extensions.scm
+%%SCHEME%%%%DATADIR%%/fade.scm
+%%SCHEME%%%%DATADIR%%/fft-menu.scm
+%%SCHEME%%%%DATADIR%%/fix-optargs.scm
+%%SCHEME%%%%DATADIR%%/fmv.scm
+%%SCHEME%%%%DATADIR%%/frame.scm
+%%SCHEME%%%%DATADIR%%/freeverb.scm
+%%SCHEME%%%%DATADIR%%/gauche-format.scm
+%%SCHEME%%%%DATADIR%%/gauche-optargs.scm
+%%SCHEME%%%%DATADIR%%/generators.scm
+%%SCHEME%%%%DATADIR%%/grani.scm
+%%SCHEME%%%%DATADIR%%/gtk-effects-utils.scm
+%%SCHEME%%%%DATADIR%%/gtk-effects.scm
+%%SCHEME%%%%DATADIR%%/gtk-popup.scm
+%%SCHEME%%%%DATADIR%%/gui.scm
+%%SCHEME%%%%DATADIR%%/hooks.scm
+%%SCHEME%%%%DATADIR%%/index.scm
+%%SCHEME%%%%DATADIR%%/jcrev.scm
+%%SCHEME%%%%DATADIR%%/kmenu.scm
+%%SCHEME%%%%DATADIR%%/ladspa-help.scm
+%%SCHEME%%%%DATADIR%%/ladspa.scm
+%%SCHEME%%%%DATADIR%%/maraca.scm
+%%SCHEME%%%%DATADIR%%/marks-menu.scm
+%%SCHEME%%%%DATADIR%%/marks.scm
+%%SCHEME%%%%DATADIR%%/maxf.scm
+%%SCHEME%%%%DATADIR%%/misc.scm
+%%SCHEME%%%%DATADIR%%/mix.scm
+%%SCHEME%%%%DATADIR%%/mixer.scm
+%%SCHEME%%%%DATADIR%%/moog.scm
+%%SCHEME%%%%DATADIR%%/musglyphs.scm
+%%SCHEME%%%%DATADIR%%/nb.scm
+%%SCHEME%%%%DATADIR%%/new-backgrounds.scm
+%%SCHEME%%%%DATADIR%%/new-buttons.scm
+%%SCHEME%%%%DATADIR%%/new-effects.scm
+%%SCHEME%%%%DATADIR%%/noise.scm
+%%SCHEME%%%%DATADIR%%/numerics.scm
+%%SCHEME%%%%DATADIR%%/oo.scm
+%%SCHEME%%%%DATADIR%%/oscope.scm
+%%SCHEME%%%%DATADIR%%/panic.scm
+%%SCHEME%%%%DATADIR%%/pd-add.scm
+%%SCHEME%%%%DATADIR%%/pd-any.scm
+%%SCHEME%%%%DATADIR%%/pd-fm.scm
+%%SCHEME%%%%DATADIR%%/pd-global.scm
+%%SCHEME%%%%DATADIR%%/pd-inout.scm
+%%SCHEME%%%%DATADIR%%/pd-local.scm
+%%SCHEME%%%%DATADIR%%/pd-mozilla.scm
+%%SCHEME%%%%DATADIR%%/pd-send_receive.scm
+%%SCHEME%%%%DATADIR%%/pd-stochastic.scm
+%%SCHEME%%%%DATADIR%%/peak-env.scm
+%%SCHEME%%%%DATADIR%%/peak-phases.scm
+%%SCHEME%%%%DATADIR%%/piano.scm
+%%SCHEME%%%%DATADIR%%/play.scm
+%%SCHEME%%%%DATADIR%%/poly.scm
+%%SCHEME%%%%DATADIR%%/popup.scm
+%%SCHEME%%%%DATADIR%%/prc95.scm
+%%SCHEME%%%%DATADIR%%/pvoc.scm
+%%SCHEME%%%%DATADIR%%/rgb.scm
+%%SCHEME%%%%DATADIR%%/rt-clm-ins.scm
+%%SCHEME%%%%DATADIR%%/rt-compiler.scm
+%%SCHEME%%%%DATADIR%%/rt-coroutines.scm
+%%SCHEME%%%%DATADIR%%/rt-engine.scm
+%%SCHEME%%%%DATADIR%%/rt-examples.scm
+%%SCHEME%%%%DATADIR%%/rt-faust.scm
+%%SCHEME%%%%DATADIR%%/rt-player.scm
+%%SCHEME%%%%DATADIR%%/rt-stalin.scm
+%%SCHEME%%%%DATADIR%%/rtio.scm
+%%SCHEME%%%%DATADIR%%/rubber.scm
+%%SCHEME%%%%DATADIR%%/selection.scm
+%%SCHEME%%%%DATADIR%%/singer.scm
+%%SCHEME%%%%DATADIR%%/snd-gl.scm
+%%SCHEME%%%%DATADIR%%/snd-gtk.scm
+%%SCHEME%%%%DATADIR%%/snd-hobbit.scm
+%%SCHEME%%%%DATADIR%%/snd-motif.scm
+%%SCHEME%%%%DATADIR%%/snd-test.scm
+%%SCHEME%%%%DATADIR%%/snd4.scm
+%%SCHEME%%%%DATADIR%%/snd5.scm
+%%SCHEME%%%%DATADIR%%/snd6.scm
+%%SCHEME%%%%DATADIR%%/snd7.scm
+%%SCHEME%%%%DATADIR%%/snd8.scm
+%%SCHEME%%%%DATADIR%%/snd9.scm
+%%SCHEME%%%%DATADIR%%/snd_conffile.scm
+%%SCHEME%%%%DATADIR%%/snddiff.scm
+%%SCHEME%%%%DATADIR%%/sndins/samples/agn.scm
+%%SCHEME%%%%DATADIR%%/sndins/samples/fmviolin.scm
+%%SCHEME%%%%DATADIR%%/sndins/samples/ws_s.scm
+%%SCHEME%%%%DATADIR%%/sndwarp.scm
+%%SCHEME%%%%DATADIR%%/special-menu.scm
+%%SCHEME%%%%DATADIR%%/spectr.scm
+%%SCHEME%%%%DATADIR%%/spokenword.scm
+%%SCHEME%%%%DATADIR%%/stochastic.scm
+%%SCHEME%%%%DATADIR%%/strad.scm
+%%SCHEME%%%%DATADIR%%/toolbar.scm
+%%SCHEME%%%%DATADIR%%/tools/check-gtk.scm
+%%SCHEME%%%%DATADIR%%/tools/check-help.scm
+%%SCHEME%%%%DATADIR%%/tools/clisp-number-tests.scm
+%%SCHEME%%%%DATADIR%%/tools/clisp-other-tests.scm
+%%SCHEME%%%%DATADIR%%/tools/gldata.scm
+%%SCHEME%%%%DATADIR%%/tools/lines.scm
+%%SCHEME%%%%DATADIR%%/tools/makegl.scm
+%%SCHEME%%%%DATADIR%%/tools/makexg.scm
+%%SCHEME%%%%DATADIR%%/tools/nor.scm
+%%SCHEME%%%%DATADIR%%/tools/table.scm
+%%SCHEME%%%%DATADIR%%/tools/va.scm
+%%SCHEME%%%%DATADIR%%/tools/xgdata.scm
+%%SCHEME%%%%DATADIR%%/v.scm
+%%SCHEME%%%%DATADIR%%/ws.scm
+%%SCHEME%%%%DATADIR%%/xm-enved.scm
+%%SCHEME%%%%DATADIR%%/zip.scm
+%%SCHEME%%@dirrm %%DATADIR%%/tools
+%%SCHEME%%@dirrm %%DATADIR%%/sndins/samples
+%%SCHEME%%@dirrm %%DATADIR%%/sndins
+%%SCHEME%%@dirrm %%DATADIR%%
 %%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/tutorial/images/jpg
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/tutorial/images
--- pkg-plist.diff ends here ---
How-To-Repeat:     Apply the patches
Comment 1 Edwin Groothuis freebsd_committer 2008-10-01 05:20:10 UTC
Maintainer of audio/snd,

Please note that PR ports/127761 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/127761

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-10-01 05:20:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2008-10-01 18:03:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 Dennis Herrmann 2008-10-01 19:13:13 UTC
It's seem good but missing PORTREVISION!

 - Dennis Herrmann
Comment 5 Martin Wilke freebsd_committer 2008-10-08 11:08:54 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 6 dfilter service freebsd_committer 2008-10-12 10:58:56 UTC
miwi        2008-10-12 09:58:47 UTC

  FreeBSD ports repository

  Modified files:
    audio/snd            Makefile pkg-descr pkg-plist 
  Log:
  - Adds OPTIONS for the following scheme implementations:
          *Gauche
          *S7 (which according to the documentation,
                is now the default instead of Guile)
  - Fix plist
  - Bump PORTREVISION
  
  PR:             127761
  Submitted by:   Timothy Beyer <beyert@cs.ucr.edu>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.66      +36 -2     ports/audio/snd/Makefile
  1.6       +1 -1      ports/audio/snd/pkg-descr
  1.4       +134 -134  ports/audio/snd/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Martin Wilke freebsd_committer 2008-10-12 10:58:57 UTC
State Changed
From-To: open->closed

Committed. Thanks!